var assert = require("assert");


describe('aaa', function() {
    var aaa = require('./aaa');
    
    describe("#unaliasResponseCode()", function() {
        it('should return 68', function() {
            assert.equal('68', aaa.unaliasResponseCode('01', '01:68'));
        });
        
        it('should return 68', function() {
            assert.equal('68', aaa.unaliasResponseCode('68', '01:68'));
        });
        
        it('should return 00', function() {
            assert.equal('00', aaa.unaliasResponseCode('00', '01:68'));
        });
        
        it('should return 40', function() {
            assert.equal('40', aaa.unaliasResponseCode('40', ''));
        });
        
        it('should return 40', function() {
            assert.equal('40', aaa.unaliasResponseCode('40', ''));
        });
        
        it('should return 40', function() {
            assert.equal('40', aaa.unaliasResponseCode('40'));
        });
    
    });
});

describe('httppulsakita', function() {
    var partner = require('./httppulsakita');
    
    describe("#parseResult()", function() {
        message = '<?xml version="1.0" encoding="UTF-8" standalone="yes"?><respon><tanggal>2015/6/16 15:43:35</tanggal><idagen>P0039</idagen><refid>AEE15B32987941D89FFF4BC7EF676C13</refid><produk>PLN20</produk><tujuan>14204279369</tujuan><rc>0000</rc><data> </data><token> </token><pesan>#14836 PLN20 ke:14204279369 SUKSES. SN:3520-2887-6627-6699-4826/TestDummyPanjang6955555/P1/7000VA/32,4. \
Sisa saldo  Rp. 5,000,000 - Rp. 18,700 = Rp. 4,981,300</pesan></respon>';

        data = partner.parseResult(message);
        console.log(data);
        
        it('should return 2015/6/16 15:43:35', function() {
            assert.equal('2015/6/16 15:43:35', data.respon.tanggal);
        });
    });
    
    
    describe("parseSN()", function() {
        config = {
            h2h_out: {
                parse_sn: 'YES',
                sn_pattern: 'refnum \\w* pada',
                sn_remove_patterns_separator: '|',
                sn_remove_patterns: 'refnum | pada'
            }
        };
        
        message = "#14837 XR5 ke:081809903333 SUKSES. Isi pulsa XR5 berhasil untuk nomor 6281809903333 sebesar 5.000, refnum B93D0792A47841AE03B0000000000000 pada tgl 16/06/15 15:47. \
Sisa saldo  Rp. 4,981,300 - Rp. 5,250 = Rp. 4,976,050";
        it ('should return B93D0792A47841AE03B0000000000000', function() {
            assert.equal('B93D0792A47841AE03B0000000000000', partner.parseSN(message, config));
        });
        
    });
    
});
